Subject: Re: [PATCH -next] nouveau: fix acpi_lid_open undefined

From: Randy Dunlap <[email-masked]>
Date: Mon, 24 May 2010 06:53:51 -0700

On 05/24/10 05:56, Matthew Garrett wrote:
> On Sun, May 23, 2010 at 05:00:40PM -0700, Randy Dunlap wrote:
>> From: Randy Dunlap <[email-masked]>
>>
>> When CONFIG_ACPI_BUTTON=m (and probably when ACPI_BUTTON is not enabled)
>> and NOUVEAU is built-in (not as a loadable module):
> 
> Won't this result in a behavioural difference? The desirable outcome is 

It could, yes.

> that that configuration be impossible, not for that configuration to 
> build but be buggy.

so nouveau should depend on (or select, if ACPI is enabled) ACPI_BUTTON?

-- 
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***